Console

Approvals

GET
/api/approvals

Agent actions the gateway held for a human decision (over the money cap).

Authorization

HTTPBasic
AuthorizationBasic <token>

In: header

Query Parameters

status?string

Current status

Default"pending"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/approvals"
[  {    "id": "string",    "agent": "string",    "tool": "string",    "args": {},    "reason": "string",    "summary": "string",    "amount_cents": 0,    "currency": "string",    "status": "pending",    "created_at": "2019-08-24T14:15:22Z"  }]